Bug 111916 - first run of up2date will fail on the first package.
Summary: first run of up2date will fail on the first package.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: up2date   
(Show other bugs)
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On: 108937
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-11 16:02 UTC by Bill Peck
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-12 14:44:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
up2date-keyring from /etc/sysconfig/rhn (2.04 KB, text/plain)
2003-12-11 20:14 UTC, Bill Peck
no flags Details

Description Bill Peck 2003-12-11 16:02:24 UTC
Description of problem:
first run of up2date from U3 will fail with the first package.  But if
you immediately run up2date again it will succeed.  All keys are
installed. md5sums match correctly for the "corrupted" package.

Version-Release number of selected component (if applicable):
up2date-2.9.2-1.2.1AS

How reproducible:
only right after first install

Steps to Reproduce:
1. install fresh as2.1U3 system
2. change /etc/sysconfig/rhn/* config files to point to rhn.webqa
3. register with rhn.webqa
4. run up2date -u

whatever the first package downloaded is it will fail on with the
following error:
Testing package set / solving RPM inter-dependencies...
########################################
gnupg-1.0.7-13.i386.rpm:    ########################## Done.
The package gnupg-1.0.7-13 does not have a valid GPG signature.
It has been tampered with or corrupted.  Aborting...
 
************ GPG VERIFICATION ERROR ****************
The package gnupg-1.0.7-13 failed its gpg signature verification. This
means the package is corrupt.
****************************************************

If you run up2date -u a second time it will continue fine.

  
Actual results:


Expected results:


Additional info:

Comment 1 Adrian Likins 2003-12-11 20:05:42 UTC
I'm not having much luck reproducing this. 

I removed the existing up2date packages, then
installed 2.9.2, then ran `up2date zebra` without
any problems. While pointing at webqa. 

Can you attach a copy of the /etc/sysconfig/rhn/up2date-keyring.gpg
file? 

and/or, run `rpm -V up2date` to verify that file is getting installed
corrcectly? 

Comment 2 Bill Peck 2003-12-11 20:14:57 UTC
Created attachment 96479 [details]
up2date-keyring from /etc/sysconfig/rhn

Comment 3 Bill Peck 2003-12-11 20:15:55 UTC
[root@xeon1 root]# rpm -V up2date
SM5....T c /etc/sysconfig/rhn/up2date
S.5....T   /usr/share/rhn/up2date_client/bootloadercfg.pyc
S.5....T   /usr/share/rhn/up2date_client/capabilities.pyc
S.5....T   /usr/share/rhn/up2date_client/checkbootloader.pyc
S.5....T   /usr/share/rhn/up2date_client/clap.pyc
S.5....T   /usr/share/rhn/up2date_client/clientCaps.pyc
S.5....T   /usr/share/rhn/up2date_client/config.pyc
S.5....T   /usr/share/rhn/up2date_client/depSolver.pyc
S.5....T   /usr/share/rhn/up2date_client/getMethod.pyc
S.5....T   /usr/share/rhn/up2date_client/gpgUtils.pyc
S.5....T   /usr/share/rhn/up2date_client/hardware.pyc
S.5....T   /usr/share/rhn/up2date_client/headers.pyc
S.5....T   /usr/share/rhn/up2date_client/iutil.pyc
S.5....T   /usr/share/rhn/up2date_client/lilo.pyc
S.5....T   /usr/share/rhn/up2date_client/newelilocfg.pyc
S.5....T   /usr/share/rhn/up2date_client/newgrubcfg.pyc
S.5....T   /usr/share/rhn/up2date_client/newlilocfg.pyc
S.5....T   /usr/share/rhn/up2date_client/packageList.pyc
S.5....T   /usr/share/rhn/up2date_client/rhnChannel.pyc
S.5....T   /usr/share/rhn/up2date_client/rhnDefines.pyc
S.5....T   /usr/share/rhn/up2date_client/rhnErrata.pyc
S.5....T   /usr/share/rhn/up2date_client/rhnHardware.pyc
S.5....T   /usr/share/rhn/up2date_client/rhnPackageInfo.pyc
S.5....T   /usr/share/rhn/up2date_client/rpcServer.pyc
S.5....T   /usr/share/rhn/up2date_client/rpmSource.pyc
S.5....T   /usr/share/rhn/up2date_client/rpmUtils.pyc
S.5....T   /usr/share/rhn/up2date_client/translate.pyc
S.5....T   /usr/share/rhn/up2date_client/up2date.pyc
S.5....T   /usr/share/rhn/up2date_client/up2dateAuth.pyc
S.5....T   /usr/share/rhn/up2date_client/up2dateBatch.pyc
S.5....T   /usr/share/rhn/up2date_client/up2dateErrors.pyc
S.5....T   /usr/share/rhn/up2date_client/up2dateLog.pyc
S.5....T   /usr/share/rhn/up2date_client/up2dateMessages.pyc
S.5....T   /usr/share/rhn/up2date_client/up2dateUtils.pyc
S.5....T   /usr/share/rhn/up2date_client/wrapper.pyc
S.5....T   /usr/share/rhn/up2date_client/wrapperUtils.pyc


Comment 4 Adrian Likins 2003-12-11 20:32:52 UTC
keyring looks right, as rpm -V.

I cant seem to reproduce this. Can I get a shell
on a box showing it?



Comment 5 Bill Peck 2003-12-11 20:43:38 UTC
I'm re-installing pro6.lab.boston.redhat.com as we speak.

The bugger about this is it only is broken the first time.. so to
debug this means re-installing a machine.  Maybe I should run tripwire
to show what has changed so we can narrow it down.

ping me on irc for the password. bpeck on #boston

Comment 6 Adrian Likins 2003-12-11 22:39:47 UTC
should be fixed in 2.9.3-2

Comment 7 James Laska 2003-12-12 14:44:30 UTC
Appears fixed in up2date-2.9.3-2.2.1AS.  Only have the public RH key
installed on the keyring.  up2date now always fails the key check on
beta signed packages consistantly producing the GPG VERIFICATION ERROR
message.

$ up2date -u <somepackage from beta channel>

************ GPG VERIFICATION ERROR ****************
The package <pkgname> failed its gpg signature verification. This
means the package is corrupt.
****************************************************

$ up2date -u <somepackage from beta channel>

************ GPG VERIFICATION ERROR ****************
The package <pkgname> failed its gpg signature verification. This
means the package is corrupt.
****************************************************

$ up2date -u <somepackage from beta channel>

************ GPG VERIFICATION ERROR ****************
The package <pkgname> failed its gpg signature verification. This
means the package is corrupt.
****************************************************

$ up2date -u <somepackage from beta channel>

************ GPG VERIFICATION ERROR ****************
The package <pkgname> failed its gpg signature verification. This
means the package is corrupt.
****************************************************

Adding the BETA key manually, then the up2date works.

Closing bug as FIXED


Note You need to log in before you can comment on or make changes to this bug.